Subject: E-mail filtering, routing, pre-sorting design

From: Laurence Lundblade <[email-masked]>
Date: Wed, 30 Nov 1994 05:21:25 -0500

Greetings,

For work on my MS thesis I'm adding features for dealing with large amounts
of e-mail to Pine.  I'm trying some new and unconventional design
methodologies (scenario-based design) and would like to solicit your help a
bit if I may.  I'm looking for input from general e-mail users, designers and
experts.  Hopefully a working result will be publically available when I'm
all done. 

I'm going about this by collecting real life narratives or stories to
better understand the situations people are in, and in order to getter
a better understanding of the users goals, their constraints and their
context.  These stories will be the starting points of the design.
I'll modify the stories or create new ones to reflect use of new
features in the system I design, so I'm effectively designing the
interaction scenario instead of just the program.

Here's what I'm looking for in terms of contributions.  In particular I'd 
like to hear about experiences with the ";" or "Select" command in Pine, 
but am interested in hearing about other mailers too.

    * Describe an actual situation that happened or is happening
    * Write in the first person
    * It's OK to ramble
    * If you want include social/workplace context, computer system constraints
    * Include suggestions if you have some
    * Example:
	 "I always like to respond to my best client's e-mail as quickly
	  as possible, but I didn't always notive their messages among
	  my other e-mail. I finally figured out how to show messages from
	  their addresses in red.  This was hard to figure out in this mail
	  program. (It's called "Planet-mail")."

Send the story, suggestions, discussion, narrative, etc to me at:
    [email-masked]

You can also use the input form on my web home page:
    http://oneworld.wa.com/laurence/xscenario.html

There's bit more info on scenario based design and the scenarios I've 
collected so far on the Web page too.

Thanks very much!

Laurence Lundblade                             
  [email-masked] (and a few other addresses) 
     http://oneworld.wa.com/laurence/home.html
        Virginia Tech CS -- Blacksburg, Virginia, US -- 703-552-2537